version: v1

description: |
  This test check on how model knows specific styles, or, rather, 'punks'
  such as 'steampunk' or 'dieselpunk' or 'cosmopunk'.
  It generates next templates:
  1. a landscape in {punk name} style - one image in landscape mode.
  2. a portrait in {punk name} style - one image in portrait mode.
  ---
  Requires next variables:
  * POSITIVE_PROMPT
  * NEGATIVE_PROMPT
  * IMAGE_WIDTH
  * IMAGE_HEIGHT
  * SEED
  ---
  All other things must be provided by Playbook.

root:
  children:
    style_punks_test:
      vars:
        IMAGE_WIDTH: 768
        IMAGE_HEIGHT: 768
        NEGATIVE_PROMPT: explicit
      items:
        angelpunk_landscape4:
          POSITIVE_PROMPT: a landscape in angelpunk style
          IMAGE_HEIGHT: 640
        aquapunk_landscape4:
          POSITIVE_PROMPT: a landscape in aquapunk style
          IMAGE_HEIGHT: 640
        arcanepunk_landscape4:
          POSITIVE_PROMPT: a landscape in arcanepunk style
          IMAGE_HEIGHT: 640
        astropunk_landscape4:
          POSITIVE_PROMPT: a landscape in astropunk style
          IMAGE_HEIGHT: 640
        atompunk_landscape4:
          POSITIVE_PROMPT: a landscape in atompunk style
          IMAGE_HEIGHT: 640
        biopunk_landscape4:
          POSITIVE_PROMPT: a landscape in biopunk style
          IMAGE_HEIGHT: 640
        bloodpunk_landscape4:
          POSITIVE_PROMPT: a landscape in bloodpunk style
          IMAGE_HEIGHT: 640
        bubblepunk_landscape4:
          POSITIVE_PROMPT: a landscape in bubblepunk style
          IMAGE_HEIGHT: 640
        clockpunk_landscape4:
          POSITIVE_PROMPT: a landscape in clockpunk style
          IMAGE_HEIGHT: 640
        cryopunk_landscape4:
          POSITIVE_PROMPT: a landscape in cryopunk style
          IMAGE_HEIGHT: 640
        crystalpunk_landscape4:
          POSITIVE_PROMPT: a landscape in crystalpunk style
          IMAGE_HEIGHT: 640
        cyberpunk_landscape4:
          POSITIVE_PROMPT: a landscape in cyberpunk style
          IMAGE_HEIGHT: 640
        dieselpunk_landscape4:
          POSITIVE_PROMPT: a landscape in dieselpunk style
          IMAGE_HEIGHT: 640
        dragonpunk_landscape4:
          POSITIVE_PROMPT: a landscape in dragonpunk style
          IMAGE_HEIGHT: 640
        etherialpunk_landscape4:
          POSITIVE_PROMPT: a landscape in etherialpunk style
          IMAGE_HEIGHT: 640
        fairypunk_landscape4:
          POSITIVE_PROMPT: a landscape in fairypunk style
          IMAGE_HEIGHT: 640
        fantasypunk_landscape4:
          POSITIVE_PROMPT: a landscape in fantasypunk style
          IMAGE_HEIGHT: 640
        flowerpunk_landscape4:
          POSITIVE_PROMPT: a landscape in flowerpunk style
          IMAGE_HEIGHT: 640
        forestpunk_landscape4:
          POSITIVE_PROMPT: a landscape in forestpunk style
          IMAGE_HEIGHT: 640
        formicapunk_landscape4:
          POSITIVE_PROMPT: a landscape in formicapunk style
          IMAGE_HEIGHT: 640
        futurepunk_landscape4:
          POSITIVE_PROMPT: a landscape in futurepunk style
          IMAGE_HEIGHT: 640
        gamerpunk_landscape4:
          POSITIVE_PROMPT: a landscape in gamerpunk style
          IMAGE_HEIGHT: 640
        glasspunk_landscape4:
          POSITIVE_PROMPT: a landscape in glasspunk style
          IMAGE_HEIGHT: 640
        gothicpunk_landscape4:
          POSITIVE_PROMPT: a landscape in gothicpunk style
          IMAGE_HEIGHT: 640
        ninjapunk_landscape4:
          POSITIVE_PROMPT: a landscape in ninjapunk style
          IMAGE_HEIGHT: 640
        postcyberpunk_landscape4:
          POSITIVE_PROMPT: a landscape in postcyberpunk style
          IMAGE_HEIGHT: 640
        pyropunk_landscape4:
          POSITIVE_PROMPT: a landscape in pyropunk style
          IMAGE_HEIGHT: 640
        rainbowpunk_landscape4:
          POSITIVE_PROMPT: a landscape in rainbowpunk style
          IMAGE_HEIGHT: 640
        ravepunk_landscape4:
          POSITIVE_PROMPT: a landscape in ravepunk style
          IMAGE_HEIGHT: 640
        robopunk_landscape4:
          POSITIVE_PROMPT: a landscape in robopunk style
          IMAGE_HEIGHT: 640
        steampunk_landscape4:
          POSITIVE_PROMPT: a landscape in steampunk style
          IMAGE_HEIGHT: 640
        stonepunk_landscape4:
          POSITIVE_PROMPT: a landscape in stonepunk style
          IMAGE_HEIGHT: 640
        synthpunk_landscape4:
          POSITIVE_PROMPT: a landscape in synthpunk style
          IMAGE_HEIGHT: 640
        trancepunk_landscape4:
          POSITIVE_PROMPT: a landscape in trancepunk style
          IMAGE_HEIGHT: 640
        tribalpunk_landscape4:
          POSITIVE_PROMPT: a landscape in tribalpunk style
          IMAGE_HEIGHT: 640
        vampirepunk_landscape4:
          POSITIVE_PROMPT: a landscape in vampirepunk style
          IMAGE_HEIGHT: 640
        witchpunk_landscape4:
          POSITIVE_PROMPT: a landscape in witchpunk style
          IMAGE_HEIGHT: 640
        angelpunk_portrait4:
          POSITIVE_PROMPT: a portrait in angelpunk style
          IMAGE_WIDTH: 640
        aquapunk_portrait4:
          POSITIVE_PROMPT: a portrait in aquapunk style
          IMAGE_WIDTH: 640
        arcanepunk_portrait4:
          POSITIVE_PROMPT: a portrait in arcanepunk style
          IMAGE_WIDTH: 640
        astropunk_portrait4:
          POSITIVE_PROMPT: a portrait in astropunk style
          IMAGE_WIDTH: 640
        atompunk_portrait4:
          POSITIVE_PROMPT: a portrait in atompunk style
          IMAGE_WIDTH: 640
        biopunk_portrait4:
          POSITIVE_PROMPT: a portrait in biopunk style
          IMAGE_WIDTH: 640
        bloodpunk_portrait4:
          POSITIVE_PROMPT: a portrait in bloodpunk style
          IMAGE_WIDTH: 640
        bubblepunk_portrait4:
          POSITIVE_PROMPT: a portrait in bubblepunk style
          IMAGE_WIDTH: 640
        clockpunk_portrait4:
          POSITIVE_PROMPT: a portrait in clockpunk style
          IMAGE_WIDTH: 640
        cryopunk_portrait4:
          POSITIVE_PROMPT: a portrait in cryopunk style
          IMAGE_WIDTH: 640
        crystalpunk_portrait4:
          POSITIVE_PROMPT: a portrait in crystalpunk style
          IMAGE_WIDTH: 640
        cyberpunk_portrait4:
          POSITIVE_PROMPT: a portrait in cyberpunk style
          IMAGE_WIDTH: 640
        dieselpunk_portrait4:
          POSITIVE_PROMPT: a portrait in dieselpunk style
          IMAGE_WIDTH: 640
        dragonpunk_portrait4:
          POSITIVE_PROMPT: a portrait in dragonpunk style
          IMAGE_WIDTH: 640
        etherialpunk_portrait4:
          POSITIVE_PROMPT: a portrait in etherialpunk style
          IMAGE_WIDTH: 640
        fairypunk_portrait4:
          POSITIVE_PROMPT: a portrait in fairypunk style
          IMAGE_WIDTH: 640
        fantasypunk_portrait4:
          POSITIVE_PROMPT: a portrait in fantasypunk style
          IMAGE_WIDTH: 640
        flowerpunk_portrait4:
          POSITIVE_PROMPT: a portrait in flowerpunk style
          IMAGE_WIDTH: 640
        forestpunk_portrait4:
          POSITIVE_PROMPT: a portrait in forestpunk style
          IMAGE_WIDTH: 640
        formicapunk_portrait4:
          POSITIVE_PROMPT: a portrait in formicapunk style
          IMAGE_WIDTH: 640
        futurepunk_portrait4:
          POSITIVE_PROMPT: a portrait in futurepunk style
          IMAGE_WIDTH: 640
        gamerpunk_portrait4:
          POSITIVE_PROMPT: a portrait in gamerpunk style
          IMAGE_WIDTH: 640
        glasspunk_portrait4:
          POSITIVE_PROMPT: a portrait in glasspunk style
          IMAGE_WIDTH: 640
        gothicpunk_portrait4:
          POSITIVE_PROMPT: a portrait in gothicpunk style
          IMAGE_WIDTH: 640
        ninjapunk_portrait4:
          POSITIVE_PROMPT: a portrait in ninjapunk style
          IMAGE_WIDTH: 640
        postcyberpunk_portrait4:
          POSITIVE_PROMPT: a portrait in postcyberpunk style
          IMAGE_WIDTH: 640
        pyropunk_portrait4:
          POSITIVE_PROMPT: a portrait in pyropunk style
          IMAGE_WIDTH: 640
        rainbowpunk_portrait4:
          POSITIVE_PROMPT: a portrait in rainbowpunk style
          IMAGE_WIDTH: 640
        ravepunk_portrait4:
          POSITIVE_PROMPT: a portrait in ravepunk style
          IMAGE_WIDTH: 640
        robopunk_portrait4:
          POSITIVE_PROMPT: a portrait in robopunk style
          IMAGE_WIDTH: 640
        steampunk_portrait4:
          POSITIVE_PROMPT: a portrait in steampunk style
          IMAGE_WIDTH: 640
        stonepunk_portrait4:
          POSITIVE_PROMPT: a portrait in stonepunk style
          IMAGE_WIDTH: 640
        synthpunk_portrait4:
          POSITIVE_PROMPT: a portrait in synthpunk style
          IMAGE_WIDTH: 640
        trancepunk_portrait4:
          POSITIVE_PROMPT: a portrait in trancepunk style
          IMAGE_WIDTH: 640
        tribalpunk_portrait4:
          POSITIVE_PROMPT: a portrait in tribalpunk style
          IMAGE_WIDTH: 640
        vampirepunk_portrait4:
          POSITIVE_PROMPT: a portrait in vampirepunk style
          IMAGE_WIDTH: 640
        witchpunk_portrait4:
          POSITIVE_PROMPT: a portrait in witchpunk style
          IMAGE_WIDTH: 640
